Install Fluentd with a cluster management project

Introduced in GitLab 14.0.

Assuming you already have a Cluster management project created from a management project template, to install Fluentd you should uncomment this line from your helmfile.yaml:

  - path: applications/fluentd/helmfile.yaml

You can also review the default values set for this chart in the values.yaml file.

You can customize the installation of Fluentd by defining applications/fluentd/values.yaml file in your cluster management project. Refer to the configuration chart for the current development release of Fluentd for all available configuration options.

The configuration chart link points to the current development release, which may differ from the version you have installed. To ensure compatibility, switch to the specific branch or tag you are using.

Support for installing the Fluentd managed application is provided by the GitLab Container Security group. If you run into unknown issues, open a new issue, and ping at least 2 people from the Container Security group.